# Run tests in check section
%bcond_without check

# https://github.com/fsnotify/fsnotify
%global goipath         github.com/fsnotify/fsnotify
%global oldgoipath      gopkg.in/fsnotify/fsnotify.v1
%global oldgoname       %gorpmname %{oldgoipath}
Version:                1.4.7

%global common_description %{expand:
Cross-platform file system notifications for Go.}

%gometa

Name:           golang-github-fsnotify-fsnotify
Release:        5%{?dist}
Summary:        Cross-platform file system notifications for Go
# Detected licences
# - BSD 3-clause "New" or "Revised" License at 'LICENSE'
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

Patch0001:      https://github.com/fsnotify/fsnotify/commit/70cc4a11de4adb99aa24da1e7b1782da5535beaa.patch

BuildRequires: golang(golang.org/x/sys/unix)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%package -n compat-%{oldgoname}-devel
Summary:    %{summary}
BuildArch:  noarch

%description -n compat-%{oldgoname}-devel
%{common_description}

This package contains compatibility glue for code that still imports the
%{oldgoipath} Go namespace.


%prep
%forgeautosetup


%install
%goinstall

install -m 0755 -vd %{buildroot}%{gopath}/src/%(dirname %{oldgoipath})
ln -s %{gopath}/src/%{goipath} %{buildroot}%{gopath}/src/%{oldgoipath}


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md CONTRIBUTING.md CHANGELOG.md AUTHORS


%files -n compat-%{oldgoname}-devel
%dir %{gopath}/src/%(dirname %{oldgoipath})
%{gopath}/src/%{oldgoipath}


%changelog
* Fri Mar 08 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.7-5
- Rewrite using new Go packaging
- Add alternate import path "gopkg.in/fsnotify/fsnotify.v1"

* Tue Feb 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.7-4
- Backport patch to fix TestInotifyOverflow

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Feb 13 2018 Athos Ribeiro <athoscr@fedoraproject.org> - 1.4.7-1
- Update version

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 26 2017 Frederico Lima <fredlima@fedoraproject.org> - 1.4.2-1
- First package for Fedora



